/**
* @version $Id: nominatim.js 496 2015-10-24 19:55:23Z eska $
* @package phpmygpx
* @copyright Copyright (C) 2015 Sebastian Klemm.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* @note code taken from http://open.mapquestapi.com/media/js/samples/nominatim/basic.js
*/

var PROTOCOL = window.location.protocol;
var HOST_NAME = 'open.mapquestapi.com';
var HOST_URL = PROTOCOL + '//' + HOST_NAME;
var PARAMS = '/nominatim/v1/search.php?format=json&json_callback=renderBasicSearchNarrative&key=';
var API_KEY = '9eCGECQGFwE7qIJ5La0s3npq7fl5b049';
var SAMPLE_POST = HOST_URL + PARAMS + API_KEY;
var searchType = '';

function doBasicSearchClick() {
	searchType = "editWaypoint";
	
	var view_bounds = map.getExtent();
	view_bounds.transform(map.getProjectionObject(), new OpenLayers.Projection("EPSG:4326"));
	var VIEW_BOX = '&viewbox=' + view_bounds.left + '%2C' + view_bounds.top + '%2C' + view_bounds.right + '%2C' + view_bounds.bottom;
	
	var newURL = SAMPLE_POST + VIEW_BOX + "&q=" + document.getElementsByName('search_str')[0].value;
	var script = document.createElement('script');
	script.type = 'text/javascript';
	script.src = newURL;
	document.body.appendChild(script);
};

function renderBasicSearchNarrative(response) {
    var html = '';
    var i = 0;
    var j = 0;
	
	if(response){
		searchresults = i18n_strings['_CMN_SEARCH_RESULTS'].replace(/%1%/, response.length);
		html += '<table><tr><th colspan="4" align="left">'+searchresults+'</th></tr>'
		/*html += '<tr><td><b>#</b></td><td><b></b></td><td><b>Type</b></td><td style="min-width:150px;"><b>Name</b></td></tr>';*/
		html += '<tbody>'
		
		for(var i =0; i < response.length; i++){
			var result = response[i];
			var resultNum = i+1;
			
			html += "<tr valign=\"top\">";
			html += "<td>" + resultNum + "</td>";
			html += "<td>"
			if(result.icon){ html += "<img src='" + result.icon + "'/>"; }
			html += "</td>";
			html += "<td>" + result.type + "</td>";
			
			html += "<td>";
			if(result.display_name){
				html += "<a href='javascript:selectSearchResult("+result.lat+","+result.lon+");'>";
				var new_display_name = result.display_name.replace(/,/g, ", ")
				html += new_display_name;
				html += "</a>";
			}
			html += "</td>";
			html += "</tr>";
		}		
		html += '</tbody></table>';
	}
	else{
		searchresults = i18n_strings['_CMN_SEARCH_RESULTS'].replace(/%1%/, '0');
		html += "<b>" + searchresults + "</b>";
	}
	
	switch (searchType) {
		case "editWaypoint":
			document.getElementById('divBasicSearchResults').style.display = "";
			document.getElementById('divBasicSearchResults').innerHTML = html;
			break;
	}
}

function collapseResults(type) {
	switch(type) {
		case "editWaypoint":
			document.getElementById('divBasicSearchResults').style.display = "none";
			break;
	}
}
