/**
* @version $Id: hikebikelayer.js 480 2015-03-27 22:31:23Z eska $
* @package phpmygpx
* @copyright Copyright (C) 2009-2015 Sebastian Klemm
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

/**
 * Class: OpenLayers.Layer.OSM.HikeBike
 *
 * Inherits from:
 *  - <OpenLayers.Layer.OSM>
 */
OpenLayers.Layer.OSM.HikeBike = OpenLayers.Class(OpenLayers.Layer.OSM, {
	initialize: function(name, options) {
		var url = [
			"http://a.tiles.wmflabs.org/hikebike/${z}/${x}/${y}.png",
			"http://b.tiles.wmflabs.org/hikebike/${z}/${x}/${y}.png",
			"http://c.tiles.wmflabs.org/hikebike/${z}/${x}/${y}.png"
		];
		options = OpenLayers.Util.extend({ numZoomLevels: 18,
			isBaseLayer: true,
			attribution: "Map data: &copy; <a href='http://www.openstreetmap.org/copyright'>OpenStreetMap</a> contributors, Rendering: <a href='http://hikebikemap.org'>Hike & Bike Map</a>" },
			options);
		var newArguments = [name, url, options];
		OpenLayers.Layer.OSM.prototype.initialize.apply(this, newArguments);
	},
	
	CLASS_NAME: "OpenLayers.Layer.OSM.HikeBike"
});

/**
 * Class: OpenLayers.Layer.OSM.Hillshading
 *
 * Inherits from:
 *  - <OpenLayers.Layer.OSM>
 */
OpenLayers.Layer.OSM.Hillshading = OpenLayers.Class(OpenLayers.Layer.OSM, {
	initialize: function(name, options) {
		var url = [
			"http://a.tiles.wmflabs.org/hillshading/${z}/${x}/${y}.png",
			"http://b.tiles.wmflabs.org/hillshading/${z}/${x}/${y}.png",
			"http://c.tiles.wmflabs.org/hillshading/${z}/${x}/${y}.png"
		];
		options = OpenLayers.Util.extend({ numZoomLevels: 17,
			isBaseLayer: false,
			visibility: false,
			attribution: "Hillshading: SRTM3 v2 (<a href='http://www2.jpl.nasa.gov/srtm/'>NASA</a>) / <a href='http://hikebikemap.org'>Hike & Bike Map</a>" },
			options);
		var newArguments = [name, url, options];
		OpenLayers.Layer.OSM.prototype.initialize.apply(this, newArguments);
	},
	
	CLASS_NAME: "OpenLayers.Layer.OSM.Hillshading"
});

/**
 * Class: OpenLayers.Layer.OSM.Lit
 *
 * Inherits from:
 *  - <OpenLayers.Layer.OSM>
 */
OpenLayers.Layer.OSM.Lit = OpenLayers.Class(OpenLayers.Layer.OSM, {
	initialize: function(name, options) {
		var url = [
			"http://toolserver.org/tiles/lighting/${z}/${x}/${y}.png"
		];
		options = OpenLayers.Util.extend({ numZoomLevels: 16,
			isBaseLayer: false,
			visibility: false,
			opacity: 0.75,
			attribution: "Night view: <a href='http://hikebikemap.de'>Hike & Bike Map</a>" },
			options);
		var newArguments = [name, url, options];
		OpenLayers.Layer.OSM.prototype.initialize.apply(this, newArguments);
	},
	
	CLASS_NAME: "OpenLayers.Layer.OSM.Lit"
});

/**
 * Class: OpenLayers.Layer.OSM.MapnikBW
 *
 * Inherits from:
 *  - <OpenLayers.Layer.OSM>
 */
OpenLayers.Layer.OSM.MapnikBW = OpenLayers.Class(OpenLayers.Layer.OSM, {
	initialize: function(name, options) {
		var url = [
			"http://a.tiles.wmflabs.org/bw-mapnik/${z}/${x}/${y}.png",
			"http://b.tiles.wmflabs.org/bw-mapnik/${z}/${x}/${y}.png",
			"http://c.tiles.wmflabs.org/bw-mapnik/${z}/${x}/${y}.png"
		];
		options = OpenLayers.Util.extend({ numZoomLevels: 19,
			isBaseLayer: true,
			attribution: "Map data: &copy; <a href='http://www.openstreetmap.org/copyright'>OpenStreetMap</a> contributors, Rendering: <a href='http://wmflabs.org/'>Wikimedia Labs</a>" },
			options);
		var newArguments = [name, url, options];
		OpenLayers.Layer.OSM.prototype.initialize.apply(this, newArguments);
	},
	
	CLASS_NAME: "OpenLayers.Layer.OSM.MapnikBW"
});
