/**
* @version $Id: wikimedia.js 494 2015-09-17 22:10:27Z eska $
* @package phpmygpx
* @copyright Copyright (C) 2015 Sebastian Klemm
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

/**
 * Class: OpenLayers.Layer.OSM.Wikimedia_intl
 *
 * Inherits from:
 *  - <OpenLayers.Layer.OSM>
 */
OpenLayers.Layer.OSM.Wikimedia_intl = OpenLayers.Class(OpenLayers.Layer.OSM, {
	initialize: function(name, options) {
		var url = [
			"https://maps.wikimedia.org/osm-intl/${z}/${x}/${y}.png"
		];
		options = OpenLayers.Util.extend({ numZoomLevels: 18,
			isBaseLayer: true,
			attribution: "Wikimedia maps beta | Map data &copy; <a href='http://openstreetmap.org/copyright'>OpenStreetMap contributors</a>" },
			options);
		var newArguments = [name, url, options];
		OpenLayers.Layer.OSM.prototype.initialize.apply(this, newArguments);
	},
	
	CLASS_NAME: "OpenLayers.Layer.OSM.Wikimedia_intl"
});

/**
 * Class: OpenLayers.Layer.OSM.Wikimedia
 *
 * Inherits from:
 *  - <OpenLayers.Layer.OSM>
 */
OpenLayers.Layer.OSM.Wikimedia = OpenLayers.Class(OpenLayers.Layer.OSM, {
	initialize: function(name, options) {
		var url = [
			"https://maps.wikimedia.org/osm/${z}/${x}/${y}.png"
		];
		options = OpenLayers.Util.extend({ numZoomLevels: 18,
			isBaseLayer: true,
			attribution: "Wikimedia maps beta | Map data &copy; <a href='http://openstreetmap.org/copyright'>OpenStreetMap contributors</a>" },
			options);
		var newArguments = [name, url, options];
		OpenLayers.Layer.OSM.prototype.initialize.apply(this, newArguments);
	},
	
	CLASS_NAME: "OpenLayers.Layer.OSM.Wikimedia"
});
