<?php
/**
* @version $Id: traces.html.php 522 2018-02-11 20:55:51Z eska $
* @package phpmygpx
* @copyright Copyright (C) 2009-2018 Sebastian Klemm.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

class HTML_traces {
    function viewTraceTableHeader($url, $sort, $order) {
		echo "<table class='data'>";
        echo "<tr class='head'>";
        HTML::viewTabColHead($url, 3, $sort, $order, _CMN_DATE);
        echo "<th>"._CMN_LAT."</th><th>"._CMN_LON."</th>";
        HTML::viewTabColHead($url, 4, $sort, $order, _CMN_FIX);
        HTML::viewTabColHead($url, 5, $sort, $order, _CMN_SAT);
        HTML::viewTabColHead($url, 6, $sort, $order, _CMN_HDOP);
        HTML::viewTabColHead($url, 7, $sort, $order, _CMN_PDOP);
		HTML::viewTabColHead($url, 2, $sort, $order, _CMN_ALT);
		echo "<th>"._CMN_COURSE."</th><th>"._CMN_SPEED."</th>";
        HTML::viewTabColHead($url, 1, $sort, $order, _CMN_GPX_ID);
		echo "</tr>\n";
	}

    function viewTraceTableRow($tp) {
    	$lat = $tp['latitude']/1000000;
    	$lon = $tp['longitude']/1000000;
		echo "<tr><td>". strftime(_DATE_FORMAT_LC3, strtotime($tp['timestamp']) + $tp['timezone']*3600) ."</td>
			<td><a href='map.php?lat=$lat&lon=$lon&zoom=17&marker=1'>$lat</td>
			<td><a href='map.php?lat=$lat&lon=$lon&zoom=17&marker=1'>$lon</td>
			<td>$tp[fix]</td><td>$tp[sat]</td>
			<td>$tp[hdop]</td><td>$tp[pdop]</td>
			<td>".formatQuantity($tp['altitude'], 'm', 1)."</td>
			<td>$tp[course]</td>
			<td>".formatQuantity($tp['speed'], 'km', 3)."/h</td>
			<td>". HTML::getGpxLink($tp) ."</td></tr>\n";
	}

    function viewTraceTableFooter() {
		echo "</table>\n";
	}

	function searchTrkPtForm($url) {
        echo "<form method='get' action='$url' class='filter'>\n";
        echo "<table border=0><tr><td colspan=4>";
		echo _TRC_CHOOSE_SEARCH_FILTER ."<br />\n";
		echo _TRC_SEARCH_PARAMS_LOGIC_AND ."<br />\n";
		echo _TRC_USE_DP_FOR_SEARCH ."<br />\n";
		echo _CMN_MOUSEOVER_FOR_TOOLTIP ."<br />\n";
		echo '<input type="hidden" name="task" value="view">';
		echo '<input type="hidden" name="option" value="search">';
		echo "</td></tr><tr>";
		echo '<td>'. _CMN_DATE .' [YYYY-MM-DD]: '. _CMN_FROM .'</td>
			<td><input type="text" name="date_from" title="[YYYY-MM-DD]"></td>
			<td><a href="javascript:copyDate();" title="'._CMN_COPY_DATE.'" >[&gt;&gt;]</a> '._CMN_TO.' </td>
			<td><input type="text" name="date_to" title="[YYYY-MM-DD]"></td>';
		echo "</tr><tr>";
		echo '<td>'. _CMN_LAT .': </td><td><input type="text" name="lat" title="[-90.0 ... +90.0]">&deg;</td>';
		echo '<td> +/- '. _CMN_RANGE .': </td><td><input type="text" name="lat_range">&deg;</td>';
		echo "</tr><tr>";
		echo '<td>'. _CMN_LON .': </td><td><input type="text" name="lon" title="[-180.0 ... +180.0]">&deg;</td>';
		echo '<td> +/- '. _CMN_RANGE .': </td><td><input type="text" name="lon_range">&deg;</td>';
		echo "</tr><tr>";
        echo "<td colspan=4><input type='button' name='submit_btn' value='"._CMN_CONTINUE."' onClick='submit();'>\n";
        echo "</td></tr></table>";
        echo "</form>\n";
	}
}
?>
